Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.util
Class WSSignatureParams

`java.lang.Object
oracle.security.xmlsec.wss.util.WSSignatureParams`

Deprecated. As of Version 1.0 Build F, the user is responsible for managing the signature parameters.

public class WSSignatureParams
extends java.lang.Object

A specification of algorithms and keys for using with XML signature.This includes the following:

Signature parameters:

- CanonicalizationMethod-Exclusive Canonicalization by default and is strongly recommended to be used
- SignatureMethod
- DigestMethod-SHA1 by default

Signing keys. One of the following:

- a private key
- a secret key for HMAC signature

Signing key identifier. One of the following must be provided:

- X509 certificate the certificate corresponding to the signing private key
- certId an opaque identifier identifying the certificate corresponding to the signing private key
- keyName a string name identifying the signing private or HMAC key
- X509IssuerAndSerialNo the certificate issuer and serial number

Constructor Summary
`WSSignatureParams(java.lang.String signMethod, boolean usingDecryptTranform)` Deprecated. Create a new `WSSignatureParams` instance.
`WSSignatureParams(java.lang.String c14nMethod, java.lang.String signMethod, java.lang.String digestMethod, boolean usingDecryptTranform)` Deprecated. Create a new `WSSignatureParams` instance.

Method Summary
`java.lang.String` | `getC14NMethod()` Deprecated. Get the Canonicalization Algorithm.
`byte[]` | `getCertId()` Deprecated. Get the Certificate Identifier.
`java.lang.String` | `getDigestMethod()` Deprecated. Get the Digest Algorithm.
`java.lang.String` | `getKeyName()` Deprecated. Get the Key Name.
`oracle.security.crypto.core.PrivateKey` | `getPrivateKey()` Deprecated. Get the Private Key that will be used to generate a PKI signature.
`byte[]` | `getSecretKey()` Deprecated. Get the Secret Key that will be used to generate a HMAC based signature.
`java.lang.String` | `getSignatureMethod()` Deprecated. Get the Signature Algorithm.
`oracle.security.crypto.cert.X509` | `getX509Certificate()` Deprecated. Get the Public Key Certificate.
`oracle.security.xmlsec.keys.X509Data` | `getX509IssuerAndSerialNumber()` Deprecated. Get the Certificate Issuer and Serial Number.
`void` | `setCertId(byte[] certId)` Deprecated. Set the Certificate Identifier.
`void` | `setKeyName(java.lang.String keyName)` Deprecated. Set the Key Name.
`void` | `setPrivateKey(oracle.security.crypto.core.PrivateKey signingKey)` Deprecated. Set the Private Key that will be used to generate a PKI signature.
`void` | `setSecretKey(byte[] secretKey)` Deprecated. Set the Secret Key that will be used to generate a HMAC based signature.
`void` | `setX509Certificate(oracle.security.crypto.cert.X509 cert)` Deprecated. Set the Public Key Certificate.
`void` | `setX509IssuerAndSerialNumber(oracle.security.xmlsec.keys.X509Data iasn)` Deprecated. Set the Public Key Certificate Issuer and Serial Number.
`boolean` | `usingDecryptionTransform()` Deprecated. Indicates if the DecryptTransform is being used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSSignatureParams

    public WSSignatureParams(java.lang.String signMethod,
                             boolean usingDecryptTranform)

  Deprecated.
  Create a new `WSSignatureParams` instance.
Parameters:
  `signMethod` - The signature algorithm.
  `usingDecryptTranform` - Set to `true</true> if using the DecryptTransform.`

### WSSignatureParams

    public WSSignatureParams(java.lang.String c14nMethod,
                             java.lang.String signMethod,
                             java.lang.String digestMethod,
                             boolean usingDecryptTranform)

  Deprecated.
  Create a new `WSSignatureParams` instance.
Parameters:
  `c14nMethod` - The canonicalization algorithm.
  `digestMethod` - The digest algorithm.
  `signMethod` - The signature algorithm.
  `usingDecryptTranform` - Set to `true</true> if using the DecryptTransform.`

Method Detail

### getC14NMethod

    public java.lang.String getC14NMethod()

  Deprecated.
  Get the Canonicalization Algorithm.
  Returns:
    The canonicalization algorithm string.

### getSignatureMethod

    public java.lang.String getSignatureMethod()

  Deprecated.
  Get the Signature Algorithm.
  Returns:
    The signature algorithm string.

### getDigestMethod

    public java.lang.String getDigestMethod()

  Deprecated.
  Get the Digest Algorithm.
  Returns:
    The digest algorithm string.

### usingDecryptionTransform

    public boolean usingDecryptionTransform()

  Deprecated.
  Indicates if the DecryptTransform is being used.
  Returns:
    `true` if the DecyrptTransform is being used, `false` otherwise.

### setSecretKey

    public void setSecretKey(byte[] secretKey)

  Deprecated.
  Set the Secret Key that will be used to generate a HMAC based signature.
  Parameters:
    `secretKey` - The key bytes.

### setPrivateKey

    public void setPrivateKey(oracle.security.crypto.core.PrivateKey signingKey)

  Deprecated.
  Set the Private Key that will be used to generate a PKI signature.
  Parameters:
    `signingKey` - The singing key.

### getSecretKey

    public byte[] getSecretKey()

  Deprecated.
  Get the Secret Key that will be used to generate a HMAC based signature.
  Returns:
    The secret key bytes.

### getPrivateKey

    public oracle.security.crypto.core.PrivateKey getPrivateKey()

  Deprecated.
  Get the Private Key that will be used to generate a PKI signature.
  Returns:
    The singing key.

### setX509Certificate

    public void setX509Certificate(oracle.security.crypto.cert.X509 cert)

  Deprecated.
  Set the Public Key Certificate.
  Parameters:
    `cert` - The X.509 certificate.

### setCertId

    public void setCertId(byte[] certId)

  Deprecated.
  Set the Certificate Identifier.
  Parameters:
    `certId` - The certificate identifier bytes.

### setKeyName

    public void setKeyName(java.lang.String keyName)

  Deprecated.
  Set the Key Name.
  Parameters:
    `keyName` - The key name.

### setX509IssuerAndSerialNumber

    public void setX509IssuerAndSerialNumber(oracle.security.xmlsec.keys.X509Data iasn)

  Deprecated.
  Set the Public Key Certificate Issuer and Serial Number.
  Parameters:
    `iasn` - The X.509 certificate data.

### getX509Certificate

    public oracle.security.crypto.cert.X509 getX509Certificate()

  Deprecated.
  Get the Public Key Certificate.
  Returns:
    The X.509 certificate.

### getCertId

    public byte[] getCertId()

  Deprecated.
  Get the Certificate Identifier.
  Returns:
    The certificate identifier bytes.

### getKeyName

    public java.lang.String getKeyName()

  Deprecated.
  Get the Key Name.
  Returns:
    The key name.

### getX509IssuerAndSerialNumber

    public oracle.security.xmlsec.keys.X509Data getX509IssuerAndSerialNumber()

  Deprecated.
  Get the Certificate Issuer and Serial Number.
  Returns:
    The X.509 certificate data.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.